# ProvisionRequest Data Type

Subtypes
  ProvisionResponse

Properties
name | data type | description
--- | --- | ---
planID | string |
deployerKeyPairIDs | array of string |
cloudCredentialsIDs | array of string |
userKeyPairIDs | array of string |
##### Properties inherited from KeyValueHolder
keyValue | map of object |
##### Properties inherited from OwnedObject
owner | string |
id | string |
timestamp | number |

Example

    {
      "planID" : "ASedsfd46b4fDFd83ba1q",
      "deployerKeyPairIDs" : [ "...", "..." ],
      "cloudCredentialsIDs" : [ "58e3946e0fb4f562d84ba1ad", "..." ],
      "userKeyPairIDs" : [ "ASedsfd46b4fFd344a1A", "..." ],
      "keyValue" : {
        "property1" : { },
        "property2" : { }
      },
      "owner" : "user1",
      "id" : "58e3946e0fb4f562d84ba1ad",
      "timestamp" : 12345
    }